package com.kovi.wildflytest.rest;

import com.kovi.wildflytest.interfaces.HelloWorldInterface;
import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.ws.rs.GET;
import javax.ws.rs.Path;

/**
 *
 * @author gregor
 */
@Stateless
@Path("/helloWorld")
public class HelloWorldRest {
    @EJB(beanInterface = HelloWorldInterface.RemoteI.class)
    private HelloWorldInterface helloWorldBean;
    
    @GET
    @Path("/sayHello")
    public String sayHello() throws Exception {
        return helloWorldBean.hello();
    }
}
